tf_mod_aws_asg
==============
A Terraform module for creating an auto scaling group and it's dependencies. 
The module generates the launch configuration, the auto scaling group and two autoscaling policies. 

1.) Adding a module resource to your template, e.g. `main.tf`

```
module "asg" {
  source = "../../../../steamhaus/tf_mod_aws_ec2"

  lc_name = "${var.name}-app-lc-"
  ami_id = "${data.aws_ami.app.id}"
  iam_instance_profile = "${module.cloudwatch_logs.profile_id}"
  key_name = "Bastion"
  security_groups = ["${aws_security_group.app.id}"]
  user_data = "${data.template_file.userdata_app.rendered}"

  asg_name = "${var.name}-app"
  load_balancers = ["${module.elb.elb_id}"]
  vpc_zone_identifier = ["${module.vpc.private_subnets}"]
}
```